/**
 * Licensed Material - Property of IBM
 * 
 * (C) Copyright IBM Corp. 2004 - All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * 
 * CLASS: HelloWorld
 * 
 * 
 * DESCRIPTION:  HelloWorld class to demonstrate the usage of the com.ibm.etools.logging.util plug-in.
 * 
 * 
 * ASSUMPTIONS:  1) The com.ibm.etools.logging.util plug-in's JAR file (i.e. logutil.jar) located in the 
 *                  'runtime' directory is specified in the CLASSPATH environment variable.
 *               2) The location of a valid JDK 'bin' directory is specified in the PATH environment variable.
 * 
 */

import com.ibm.etools.logging.util.*;

public class HelloWorld {
    public static void main(String[] args) {
        // Create a logger named "My Logger".
        MsgLogger myLogger = (MsgLogger) MsgLogger.getFactory().getLogger("My Logger");
        // Set values for DefaultRecord.
        String product                  = "myProduct";
        String version                  = "myVersion";
        String componentName            = "myComponentName";
        Object sourceClassObject        = null;
        String sourceMethodName         = "mySourceMethodName";
        String messageID                = "myMessageID";
        int    severity                 = 1;
        String message                  = "Logging a sev 1 message.";
        SubstitutionVariable[] varArray = new SubstitutionVariable[3];
        varArray[0] = new SubstitutionVariable("key0", "variable0");
        varArray[1] = new SubstitutionVariable("key1", "variable1");
        varArray[2] = new SubstitutionVariable("key2", "variable2");
        DefaultRecord aDefaultRecord = new DefaultRecord( product,
                                                          version,
                                                          componentName,
                                                          sourceClassObject,
                                                          sourceMethodName,
                                                          messageID,
                                                          severity,
                                                          message,
                                                          varArray );
        // Set the logging level for "My Logger".
        myLogger.setLevel(Level.FINEST);
        // Log to the logger named "My Logger".
        myLogger.write(Level.FINEST, "Logging a message.");
        myLogger.write(Level.FINEST, "Logging another message.");
        myLogger.write(Level.FINEST, aDefaultRecord);
    }
}
